#ifndef NETWORLD_H
#define NETWORLD_H

#include "raylib.h"

struct Str_Node {
    Vector2 position;
};
typedef struct Str_Node Node;

struct Str_NetWorld {
    int size;
    Node * nodes;
};
typedef struct Str_NetWorld NetWorld;

// Constructor / Destructor
/**
 * @brief                Allocate the memory to store a NetWorld.
 * @return               The pointer to the new NetWorld.
 */
NetWorld * NetWorld_new(
    //! the number of Nodess
    int aSize
);

void NetWorld_delete(NetWorld * self);

// Initialization
void NetWorld_initNodePosition(NetWorld * self, int iNode, float x, float y); // position must be an float[size][2] array...

// To String
void NetWorld_print(NetWorld * self);

#endif //NETWORLD_H